org.apache.http.protocol

## Class HttpDateGenerator

- java.lang.Object
- - org.apache.http.protocol.HttpDateGenerator

    @ThreadSafe
    public class HttpDateGenerator
    extends Object

Generates a date in the format required by the HTTP protocol.

Since:
  4.0

### Field Summary

Fields
`static TimeZone` `GMT` The time zone to use in the date header.
`static String` `PATTERN_RFC1123` Date format pattern used to generate the header in RFC 1123 format.

### Constructor Summary

Constructors
Constructor and Description
`HttpDateGenerator()`

### Method Summary

Methods
`String` `getCurrentDate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PATTERN_RFC1123

    public static final String PATTERN_RFC1123

Date format pattern used to generate the header in RFC 1123 format.

See Also:
  Constant Field Values

#### GMT

    public static final TimeZone GMT

The time zone to use in the date header.

### Constructor Detail

#### HttpDateGenerator

    public HttpDateGenerator()

### Method Detail

#### getCurrentDate

    public String getCurrentDate()